SDL_GetAsyncIOSize(3)

NAME
SDL_GetAsyncIOSize - Use this function to get the size of the data stream in an SDL_AsyncIO.

SYNOPSIS
#include <SDL3/SDL_asyncio.h>

Sint64 SDL_GetAsyncIOSize(SDL_AsyncIO *asyncio);

DESCRIPTION
This call is _not_ asynchronous; it assumes that obtaining this info is a non-blocking operation in most reasonable cases.

FUNCTION PARAMETERS

asyncio
    the SDL_AsyncIO to get the size of the data stream from.

RETURN VALUE
Returns the size of the data stream in the SDL_IOStream on success or a negative error code on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.